@charset "UTF-8";

@import url('https://fonts.googleapis.com/css2?family=Alkatra:wght@400..700&family=Satisfy&display=swap');/*font-family: "Alkatra", system-ui; -- Satisfy */

*{
    text-decoration: none;
    margin: 0;
    padding: 0;
    outline: none;
    transition: 0.3s;
    font-size: 10px;
    font-family: Arial, Helvetica, sans-serif;
    scroll-behavior: smooth;
}

:root{
    --bg-color: #4acff069;
    --text: #1f1f1f;
    --dark-blue: #002436;
    --letra-branca: #ffffffd2;
}

body{
    background-color: var(--bg-color);
}

main{
    background-color: #fff;
    max-width: 120rem;
    height: auto;
    margin: 6rem auto 0rem auto;
    border-radius: 0rem 0rem 1rem 1rem;
    box-shadow: 2px 0px 10px rgba(0, 0, 0, 0.200), -2px 0px 10px rgba(0, 0, 0, 0.200);
    
}

.top-bar{
    text-align: end;
    padding: 0.5rem 1.5rem;
    color: var(--letra-branca);
    background-color: var(--dark-blue);
}

.nav-box {
  position: fixed;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  width: 100%;
  max-width: 120rem;
  z-index: 1000;
  background-color: #fff;
  box-shadow: 0px 3px 3px #00000023;
}

.nav-box .nav-name{
    font-family:"Satisfy", Arial, Helvetica, sans-serif;
    font-weight: 600;
    font-size: 2.5rem;
    padding: 1.5rem 3.5rem 1.5rem 3rem;
    color: var(--text);
}

.nav-box .nav-links{
    padding: 1.5rem;
    font-size: 15px;
    color: var(--text);
}

.nav-box .nav-links:hover{
    font-size: 18px;
    text-decoration: underline solid var(--text);
}

@media (max-width: 600px){
    .nav-box .nav-links:hover{
        font-size: 15px;
        text-decoration: none;
    }

    .nav-box .nav-links:active{
        background-color: #0024362e;
        transition: 0s;
        padding: 12px 15px;
    }
}

/*------------------------------------nav*/


.home{
    background-image: linear-gradient(45deg, #11638fdc, #1c5b780b );
    height: 47rem; 
    padding-top: 14rem;
    margin-top: -6rem;
}   

@media (max-width: 780px){
        .home{
            height: auto;
            padding-top: 2.5rem;
    }
}

.home>h1{
    color: #fff;
    font-family: "Alkatra", system-ui;
    text-align: center;
    font-size: 5rem;
    text-shadow: 2px 0px 3px #00000093;
    padding-top: 7rem;
}

.home>p{
    color: #fff;
    text-align: center;
    max-width: 50%;
    margin: 0 auto;
    padding-bottom: 6rem;
    text-shadow: 2px 0px 2px #00000093 ;
    font-size: 1rem;
}
    
@media(max-width: 780px){
    .home>p{
        min-width: 80%; 
    }
}

/*-------------------------------------------projects-box-*/

.project-box{
    height: auto;
    padding: .5%;
    background-color: #00000013;

}

/*-------------------------------------------projects-content1-*/
.project-content{
    background-color: #fff;
    height: auto;
    margin: 2%;
    box-shadow: 3px 3px 4px rgba(0, 0, 0, 0.27);
    border-radius: 1rem;
}

.project-content .project-text>h2{
    padding: 4rem 2.5rem;
    font-size: 5rem;
    font-family: "Alkatra", system-ui;
    text-align: center;
}

.project-content .project-text>p{
    margin-top: -5.5rem;
    padding: 4rem 6% ;
    font-size: 1.4rem;
    text-align: justify;
    
}

.project-content .project-image>img{
    display: block;
    margin: auto; 
    padding-bottom: 5rem;
    width: 100%;
    max-width: 380px;
}

aside{
    padding: 2rem 0rem 5rem 0rem;
    text-align: center;
}

aside>a{
    margin-right: 8%;
    font-size: 14px;
}

aside .project{
    background-color: var(--dark-blue);
    padding: 1rem 3%;
    color: var(--letra-branca);
    border-radius: 1.5rem;
}

aside .code{
    color: #002436;
    border-radius: 1.5rem;
    padding: 1rem 3%;
    
}

aside .code:active{
    text-decoration: underline;
    background-color: #00000022;
    transition: 0s;
}
/*-------------------------------------sobre-*/

.about{
    background-image: linear-gradient(45deg, #11638fdc, #1c5b780b );
    height: 20rem;  
    padding-top: 10rem;
}

.about>h2{
    font-family: "Alkatra", system-ui;
    color: #fff;
    font-size: 3rem;
    text-shadow: 2px 0px 3px #00000093;
    text-align: center;
}

.about>p{
    color: #fff;
    font-size: 14px;
    text-shadow: 2px 0px 3px #00000093;
    text-align: center;
}

.about>p>a{
    color: #dadada;
    font-weight: 700;
    text-shadow: 2px 0px 3px #00000093;
    font-size: 14px;
}

.about>p>a:hover{
    text-decoration: underline;
}

.about>a>img{
    filter: invert(1);
    width: 60px;
}
/*------------------------------------------footer-*/

footer{
    margin-bottom: -2rem;
}

footer>p{
    text-align: end;
    padding: 0.5rem 1rem 0.3rem 0rem;
}

